> For the complete documentation index, see [llms.txt](https://en.docs.monaca.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://en.docs.monaca.io/reference/monaca_api/monaca_api_guide.md).

# Monaca Cloud & Remote Build API Guide

You can build a Cordova app using Monaca Cloud & Remote Build API. It can also be integrated with other web services. Once integrated, you will be able to use cloud services and remote build functions as if you are using [Monaca Cloud IDE](/products_guide/monaca_ide.md) or [Monaca CLI](/products_guide/monaca_cli.md).

In this page, we will talk about how to integrate Monaca Cloud & Remote Build API with Node.js projects and its usage.

## Integrating Monaca Cloud & Remote Build API

Monaca Cloud & Remote Build API is wrapped in a npm library called [monaca-lib](https://github.com/monaca/monaca-lib). In order to use the APIs in your Node.js project, please do as follows:

1. Install `monaca-lib`.

   ```bash
   $ npm install monaca-lib
   ```
2. Call this module in your js file:

   ```javascript
   var Monaca = require('monaca-lib').Monaca;
   ```
3. You can now use any Monaca Cloud & Remote Build API in your js file now. For example:

   ```javascript
   var Monaca = require('monaca-lib').Monaca;
   var monaca = new Monaca();
   monaca.login('some@email.com', 'password').then(
   function() {
       console.log('Succesfully logged in!');
   },
   function(error) {
       console.log('Login failed: ' + error);
   }
   );
   ```

## Monaca Cloud & Remote Build API Usage

The supported features for Monaca Cloud & Remote Build API are as follows:

* Sign in / sign out to/from Monaca.
* Creating a new project.
* Compile and build the project.
* Sync with Monaca Cloud project.
* Transpile local project.

Please refer to `monaca-lib/src/monaca.js` file regarding the list of all availabe APIs and their usage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://en.docs.monaca.io/reference/monaca_api/monaca_api_guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
